> For the complete documentation index, see [llms.txt](https://developers.usetoggle.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.usetoggle.com/partner-guides/epos-and-ordering/balance-check.md).

# Balance check

To check a card balance, pass in the `card_reference` to the `Cards` query.

{% tabs %}
{% tab title="API call" %}

```graphql
query Cards {
    Cards(card_reference: "6301190004871637839") {
        data {
            card_reference
            balance
            card_alias_card_reference
            initial_balance
            product_name
            created_at
            used
            expiry_time
            validity_start_time
        }
    }
}
```

{% endtab %}
{% endtabs %}

### If no cards are found

If no cards are found for your query, the API will respond with blank JSON for “Data”:

```javascript
{
    "data": {
        "Cards": {
            "data": []
        }
    },
    "extensions": {
        "cost": {
            "actualQueryCost": 16,
            "throttleStatus": {
                "maximumAvailable": 8000,
                "currentlyAvailable": 7986
            }
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.usetoggle.com/partner-guides/epos-and-ordering/balance-check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
